Jump to content

Template:Infobox/styles.css: Difference between revisions

From Linux Beta
Ib>Ryuzaki
mNo edit summary
 
No edit summary
 
(15 intermediate revisions by the same user not shown)
Line 11: Line 11:
border-spacing: 3px;
border-spacing: 3px;
background-color: whitesmoke;
background-color: whitesmoke;
color: black;


float: right;
float: right;
Line 22: Line 21:
float: none;
float: none;
margin: 0 0 1em;
margin: 0 0 1em;
        width: 27em;
}
}
}
}

Latest revision as of 12:05, 24 October 2025

.infobox {
	width: 22em;
	margin: 0.5em 0 0.5em 1em;
	padding: 0.2em;

	font-size: 88%;
	line-height: 1.5em;
	text-align: left;

	border: 1px solid darkgray;
	border-spacing: 3px;
	background-color: whitesmoke;

	float: right;
	clear: right;
}

@media (max-width: 720px)
{
	.infobox {
		float: none;
		margin: 0 0 1em;
        width: 27em;
	}
}

.ib-title, .ib-above, .ib-subheader, .ib-below, .ib-image, .ib-header,
.ib-data:only-child {
	text-align: center;
}

.ib-title, .ib-above {
	font-size: larger;
}

.ib-title {
	font-weight: bold;
}

body.skin-minerva table.infobox {
	display: flex;
	flex-flow: column nowrap;
}

body.skin-minerva table.infobox > caption,
body.skin-minerva table.infobox > tbody {
	display: flex;
	flex-flow: column nowrap;
}

body.skin-minerva table.infobox > tbody > tr {
	display: flex;
	flex-flow: row nowrap;
}

body.skin-minerva table.infobox > tbody > tr > th:only-child,
body.skin-minerva table.infobox > tbody > tr > td:only-child {
	width: 100%;
}

body.skin-minerva table.infobox > caption {
	padding: .25em .25em 0;
}

body.skin-minerva table.infobox > tbody > tr > th,
body.skin-minerva table.infobox > tbody > tr > td {
	padding: .25em;
	flex: 1 0;
}